ATAN(3)

NAME
atan, atanf, atanl - arc tangent function

SYNOPSIS
#include <math.h>

double atan(double x);
float atanf(float x);
long double atanl( long double x);

Link with -lm.

DESCRIPTION
The atan() function calculates the arc tangent of x; that is the value whose tangent is x.

RETURN VALUE
The atan() function returns the arc tangent in radians and the value is mathematically defined to be between -PI/2 and PI/2 (inclusive).

CONFORMING TO
SVr4, POSIX.1-2001, 4.3BSD, C89. The float and long double variants are C99 requirements.

SEE ALSO
acos(3), asin(3), atan2(3), carg(3), catan(3), cos(3), sin(3), tan(3)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.